function err = calcError( ip, gt, errType)

if strcmp(errType,'perc1')
    % percent of pixels with disp > 1
    dif = abs(ip(:)-gt(:));
    dif = dif(gt(:)~=0);
    err = (sum(dif(:)>1)/length(dif(:)) )*100;
    
elseif strcmp(errType,'rmse')
    % RMSE
    dif = (ip(:)-gt(:)).^2;
    dif = dif(gt~=0);
    err = sqrt(sum(dif)/length(dif));    
end
